Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetMessageAddedReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.AddedReactions>
it.tdlight.jni.TdApi.GetMessageAddedReactions

Enclosing class:
  TdApi

public static final class TdApi.GetMessageAddedReactions extends TdApi.Function<TdApi.AddedReactions>
Returns reactions added for a message, along with their sender.

Returns `AddedReactions`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the message belongs.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of reactions to be returned; must be positive and can't be greater than 100.
`long`
`messageId`
Identifier of the message.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`TdApi.ReactionType`
`reactionType`
Type of the reactions to return; pass null to return all added reactions.

## Constructor Summary

Constructors
Constructor
Description
`GetMessageAddedReactions()`
Returns reactions added for a message, along with their sender.
`GetMessageAddedReactions(long chatId, long messageId, TdApi.ReactionType reactionType, String offset, int limit)`
Returns reactions added for a message, along with their sender.
`GetMessageAddedReactions(DataInput input)`
Returns reactions added for a message, along with their sender.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message belongs.

### messageId

public long messageId
Identifier of the message.

### reactionType

public TdApi.ReactionType reactionType
Type of the reactions to return; pass null to return all added reactions.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of reactions to be returned; must be positive and can't be greater than 100.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetMessageAddedReactions

public GetMessageAddedReactions()
Returns reactions added for a message, along with their sender.

Returns `AddedReactions`

### GetMessageAddedReactions

public GetMessageAddedReactions(long chatId, long messageId, TdApi.ReactionType reactionType, String offset, int limit)
Returns reactions added for a message, along with their sender.

Returns `AddedReactions`

Parameters:
  `chatId` - Identifier of the chat to which the message belongs.
  `messageId` - Identifier of the message.
  `reactionType` - Type of the reactions to return; pass null to return all added reactions.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of reactions to be returned; must be positive and can't be greater than 100.

  Returns `AddedReactions`

### GetMessageAddedReactions

public GetMessageAddedReactions(DataInput input) throws IOException
Returns reactions added for a message, along with their sender.

Returns `AddedReactions`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`